Subject: Re: [Bitcoin-development] From the forums: one-confirmation attack

From: "theymos" <[email-masked]>
Date: Thu, 18 Aug 2011 11:47:56 -0500

> The part of the network that did not receive my block first (which
> hopefully is most of the miners) will accept this as valid and work to
> include it in the next block.

To make this more difficult, nodes that receive new transactions via
blocks should relay the new transactions as if they had received them
normally. Then the double-spend transaction will be rejected by most of
the network because the other version is already widely-known.